/**
 * Copyright (c) 2000-2009, Jasig, Inc.
 * See license distributed with this file and available online at
 * https://www.ja-sig.org/svn/jasig-parent/tags/rel-10/license-header.txt
 */

package org.jasig.portal.portlets.registerportal.data;

import java.util.LinkedHashMap;
import java.util.Map;

import org.jasig.portal.portlets.registerportal.IPortalDataCollector;
import org.jasig.portal.rdbm.IDatabaseMetadata;

/**
 * Gathers jdbc driver and database names and versions
 * 
 * @author Eric Dalquist
 * @version $Revision: 17564 $
 */
public class DatabaseInfoCollector implements IPortalDataCollector {
    private IDatabaseMetadata databaseMetadata;
    
    /**
     * @param databaseMetadata the databaseMetadata to set
     */
    public void setDatabaseMetadata(IDatabaseMetadata databaseMetadata) {
        this.databaseMetadata = databaseMetadata;
    }

    /* (non-Javadoc)
     * @see org.jasig.portal.portlets.registerportal.IPortalDataCollector#getData()
     */
    public Map<String, String> getData() {
        final Map<String, String> data = new LinkedHashMap<String, String>();
        
        data.put("jdbcDriverName", databaseMetadata.getJdbcDriver());
        data.put("jdbcDriverVersion", databaseMetadata.getJdbcDriverVersion());
        data.put("databaseName", databaseMetadata.getDatabaseProductName());
        data.put("databaseVersion", databaseMetadata.getDatabaseProductVersion());
        
        return data;
    }

    /* (non-Javadoc)
     * @see org.jasig.portal.portlets.registerportal.IPortalDataCollector#getKey()
     */
    public String getKey() {
        return "uPortalDatabase";
    }
}
