/**
 * Copyright (c) 2000-2009, Jasig, Inc.
 * See license distributed with this file and available online at
 * https://www.ja-sig.org/svn/jasig-parent/tags/rel-10/license-header.txt
 */
package org.jasig.portal.spring.locator;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.jasig.portal.concurrency.IEntityCachingService;
import org.jasig.portal.spring.PortalApplicationContextLocator;
import org.springframework.context.ApplicationContext;

/**
 * @author Eric Dalquist
 * @version $Revision: 17368 $
 * @deprecated code that needs an IEntityCachingService should use direct dependency injection where possible
 */
@Deprecated
public class EntityCachingServiceLocator extends AbstractBeanLocator<IEntityCachingService> {
    public static final String BEAN_NAME = "entityCachingService";
    
    private static final Log LOG = LogFactory.getLog(EntityCachingServiceLocator.class);
    private static AbstractBeanLocator<IEntityCachingService> locatorInstance;

    public static IEntityCachingService getEntityCachingService() {
        AbstractBeanLocator<IEntityCachingService> locator = locatorInstance;
        if (locator == null) {
            LOG.info("Looking up bean '" + BEAN_NAME + "' in ApplicationContext due to context not yet being initialized");
            final ApplicationContext applicationContext = PortalApplicationContextLocator.getApplicationContext();
            applicationContext.getBean(EntityCachingServiceLocator.class.getName());
            
            locator = locatorInstance;
            if (locator == null) {
                LOG.warn("Instance of '" + BEAN_NAME + "' still null after portal application context has been initialized");
                return (IEntityCachingService)applicationContext.getBean(BEAN_NAME, IEntityCachingService.class);
            }
        }
        
        return locator.getInstance();
    }

    public EntityCachingServiceLocator(IEntityCachingService instance) {
        super(instance, IEntityCachingService.class);
    }

    /* (non-Javadoc)
     * @see org.jasig.portal.spring.locator.AbstractBeanLocator#getLocator()
     */
    @Override
    protected AbstractBeanLocator<IEntityCachingService> getLocator() {
        return locatorInstance;
    }

    /* (non-Javadoc)
     * @see org.jasig.portal.spring.locator.AbstractBeanLocator#setLocator(org.jasig.portal.spring.locator.AbstractBeanLocator)
     */
    @Override
    protected void setLocator(AbstractBeanLocator<IEntityCachingService> locator) {
        locatorInstance = locator;
    }
}
